Name:           ikiwiki
Version:        3.20111106
Release:        1%{?dist}
Summary:        A wiki compiler

Group:          Applications/Internet
# ikiwiki is licensed under GPLv2+, the Python code in plugins/ under
# BSD (2-clause)
License:        GPLv2+ and BSD
URL:            http://ikiwiki.info/
Source0:        http://ftp.debian.org/debian/pool/main/i/%{name}/%{name}_%{version}.tar.gz
Patch0:         ikiwiki-libexecdir.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  perl(Text::Markdown)
BuildRequires:  perl(Mail::Sendmail)
BuildRequires:  perl(HTML::Scrubber)
BuildRequires:  perl(XML::Simple)
BuildRequires:  perl(Date::Parse)
BuildRequires:  perl(Date::Format)
BuildRequires:  perl(HTML::Template)
BuildRequires:  perl(CGI::FormBuilder)
BuildRequires:  perl(CGI::Session)
BuildRequires:  perl(File::MimeInfo)
BuildRequires:  perl(YAML)
BuildRequires:  gettext
BuildRequires:  po4a
BuildRequires:  python

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Requires:       perl(Text::Markdown)
Requires:       perl(Mail::Sendmail)
Requires:       perl(HTML::Scrubber)
Requires:       perl(XML::Simple)
Requires:       perl(CGI::FormBuilder)
Requires:       perl(CGI::Session)
Requires:       perl(Digest::SHA1)

Requires:       python(abi) %(%{__python} -c "import sys ; print \"=\", sys.version[:3]")
Requires:       python-docutils

%global cgi_bin %{_libexecdir}/w3m/cgi-bin

# RPM 4.8 style
%filter_from_provides /perl(IkiWiki.*)/d
%filter_from_requires /perl(IkiWiki.*)/d
%filter_from_requires /perl(Monotone)/d
%filter_setup
# RPM 4.9 style
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}perl\\(IkiWiki.*\\)
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(IkiWiki.*\\)
%global __requires_exclude %__requires_exclude|perl\\(Monotone\\)

%description
Ikiwiki is a wiki compiler. It converts wiki pages into HTML pages
suitable for publishing on a website. Ikiwiki stores pages and history
in a revision control system such as Subversion or Git. There are many
other features, including support for blogging, as well as a large
array of plugins.


%prep
%setup0 -q -n %{name}
%patch0 -p1 -b .libexecdir

# goes into the -w3m subpackage
%{__cat} << \EOF > README.fedora
See http://ikiwiki.info/w3mmode/ for more information.
EOF


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix}
# parallel builds currently don't work
%{__make} 


%install
%{__rm} -rf %{buildroot}
%{__make} pure_install DESTDIR=%{buildroot} W3M_CGI_BIN=%{cgi_bin}
%find_lang %{name}

# move external plugins
%{__mkdir_p} %{buildroot}%{_libexecdir}/ikiwiki/plugins
%{__mv} %{buildroot}%{_prefix}/lib/ikiwiki/plugins/* \
        %{buildroot}%{_libexecdir}/ikiwiki/plugins

# remove shebang
%{__sed} -e '1{/^#!/d}' -i \
        %{buildroot}%{_sysconfdir}/ikiwiki/auto.setup \
        %{buildroot}%{_sysconfdir}/ikiwiki/auto-blog.setup \
        %{buildroot}%{_libexecdir}/ikiwiki/plugins/proxy.py

# fix permissions
find %{buildroot}%{perl_vendorlib}/IkiWiki -type f \
        -exec chmod -x {} \;


%clean
%{__rm} -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/ikiwiki*
%{_sbindir}/ikiwiki*
%{_mandir}/man1/ikiwiki*
%{_mandir}/man8/ikiwiki*
%{_datadir}/ikiwiki
%dir %{_sysconfdir}/ikiwiki
%config(noreplace) %{_sysconfdir}/ikiwiki/*
# contains a packlist only
%exclude %{perl_vendorarch}
%{perl_vendorlib}/IkiWiki*
%exclude %{perl_vendorlib}/IkiWiki*/Plugin/skeleton.pm.example
%{_libexecdir}/ikiwiki
%doc README debian/changelog debian/NEWS html
%doc IkiWiki/Plugin/skeleton.pm.example


%package w3m
Summary:        Ikiwiki w3m cgi meta-wrapper
Group:          Applications/Internet
Requires:       w3m
Requires:       %{name} = %{version}-%{release}

%description w3m
Enable usage of all of ikiwiki's web features (page editing, etc) in
the w3m web browser without a web server. w3m supports local CGI
scripts, and ikiwiki can be set up to run that way using the
meta-wrapper in this package.


%files w3m
%defattr(-,root,root,-)
%doc README.fedora
%{cgi_bin}/ikiwiki-w3m.cgi


%changelog
* Wed Nov  9 2011 Thomas Moschny <thomas.moschny@gmx.de> - 3.20111106-1
- Update to 3.20111106.

* Wed Sep 14 2011 Thomas Moschny <thomas.moschny@gmx.de> - 3.20110905-1
- Update to 3.20110905.

* Sat Jul 23 2011 Thomas Moschny <thomas.moschny@gmx.de> - 3.20110715-3
- Update license tag.
- Add BR on Python to ensure the Python plugin gets byte-compiled.
- Add runtime dependency on Python.

* Fri Jul 22 2011 Petr Pisar <ppisar@redhat.com> - 3.20110715-2
- RPM 4.9 dependency filtering added

* Thu Jul 21 2011 Thomas Moschny <thomas.moschny@gmx.de> - 3.20110715-1
- Update to 3.20110715.

* Wed Jul 20 2011 Petr Sabata <contyk@redhat.com> - 3.20110707-2
- Perl mass rebuild

* Sat Jul  9 2011 Thomas Moschny <thomas.moschny@gmx.de> - 3.20110707-1
- Update to 3.20110707.

* Sun Jun 19 2011 Thomas Moschny <thomas.moschny@gmx.de> - 3.20110608-1
- Update to 3.20110608.

* Sat May  7 2011 Thomas Moschny <thomas.moschny@gmx.de> - 3.20110430-1
- Update to 3.20110430.
- Reset spurious x-bits.

* Sun Apr 10 2011 Thomas Moschny <thomas.moschny@gmx.de> - 3.20110328-1
- Update to 3.20110328.
- New BR perl(YAML).

* Fri Mar 25 2011 Thomas Moschny <thomas.moschny@gmx.de> - 3.20110321-1
- Update to 3.20110321.

* Wed Mar  2 2011 Thomas Moschny <thomas.moschny@gmx.de> - 3.20110225-1
- Update to 3.20110225.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.20110124-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Feb  7 2011 Thomas Moschny <thomas.moschny@gmx.de> - 3.20110124-2
- Use new filtering macros for provides and requires.

* Sun Feb  6 2011 Thomas Moschny <thomas.moschny@gmx.de> - 3.20110124-1
- Update to 3.20110124.

* Fri Jan  7 2011 Thomas Moschny <thomas.moschny@gmx.de> - 3.20110105-1
- Update to 3.20110105.

* Mon Jan  3 2011 Thomas Moschny <thomas.moschny@gmx.de> - 3.20101231-1
- Update to 3.20101231.

* Sat Dec 11 2010 Thomas Moschny <thomas.moschny@gmx.de> - 3.20101201-1
- Update to 3.20101201.

* Tue Nov 30 2010 Thomas Moschny <thomas.moschny@gmx.de> - 3.20101129-1
- Update to 3.20101129.

* Wed Oct 27 2010 Thomas Moschny <thomas.moschny@gmx.de> - 3.20101023-1
- Update to 3.20101023.

* Sat Oct  2 2010 Thomas Moschny <thomas.moschny@gmx.de> - 3.20100926-1
- Update to 3.20100926.

* Thu Sep 16 2010 Thomas Moschny <thomas.moschny@gmx.de> - 3.20100915-1
- Update to 3.20100915.

* Tue Sep  7 2010 Thomas Moschny <thomas.moschny@gmx.de> - 3.20100831-1
- Update to 3.20100831.

* Fri Aug 27 2010 Thomas Moschny <thomas.moschny@gmx.de> - 3.20100815-1
- Update to 3.20100815.

* Thu Aug  5 2010 Thomas Moschny <thomas.moschny@gmx.de> - 3.20100804-1
- Update to 3.20100804.

* Fri Jul 30 2010 Thomas Moschny <thomas.moschny@gmx.de> - 3.20100722-1
- Update to 3.20100722.

* Fri Jul  2 2010 Thomas Moschny <thomas.moschny@gmx.de> - 3.20100623-1
- Rebase libexecdir patch.
- Update to 3.20100623.

* Wed Jun 23 2010 Thomas Moschny <thomas.moschny@gmx.de> - 3.20100610-1
- Update to 3.20100610.

* Tue Jun 01 2010 Marcela Maslanova <mmaslano@redhat.com> - 3.20100518.2-2
- Mass rebuild with perl-5.12.0

* Sun May 30 2010 Thomas Moschny <thomas.moschny@gmx.de> - 3.20100518.2-1
- Update to 3.20100518.2.

* Sat May  8 2010 Thomas Moschny <thomas.moschny@gmx.de> - 3.20100504-1
- Update to 3.20100504.

* Wed May  5 2010 Thomas Moschny <thomas.moschny@gmx.de> - 3.20100501-1
- Update to 3.20100501.

* Tue Apr  6 2010 Thomas Moschny <thomas.moschny@gmx.de> - 3.20100403-1
- Update to 3.20100403.

* Thu Mar 18 2010 Thomas Moschny <thomas.moschny@gmx.de> - 3.20100312-1
- Update to 3.20100312 (fixes bz 574548).

* Wed Mar  3 2010 Thomas Moschny <thomas.moschny@gmx.de> - 3.20100302-1
- Update to 3.20100302.

* Sun Feb 14 2010 Thomas Moschny <thomas.moschny@gmx.de> - 3.20100212-1
- Update to 3.20100212.

* Thu Feb  4 2010 Thomas Moschny <thomas.moschny@gmx.de> - 3.20100122-1
- Update to 3.20100122.

* Tue Jan  5 2010 Thomas Moschny <thomas.moschny@gmx.de> - 3.20100102.3-1
- Update to 3.20100102.3.
- Replace %%define with %%global.

* Tue Dec 22 2009 Thomas Moschny <thomas.moschny@gmx.de> - 3.20091218-1
- Update to 3.20091218.

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 3.20091113-2
- rebuild against perl 5.10.1

* Tue Nov 17 2009 Thomas Moschny <thomas.moschny@gmx.de> - 3.20091113-1
- Update to 3.20091113.

* Thu Oct  8 2009 Thomas Moschny <thomas.moschny@gmx.de> - 3.14159265-1
- Update to 3.14159265.

* Tue Sep  1 2009 Thomas Moschny <thomas.moschny@gmx.de> - 3.1415926-1
- Update to 3.1415926 (fixes CVE-2009-2944, see bz 520543).

* Wed Aug 12 2009 Thomas Moschny <thomas.moschny@gmx.de> - 3.141592-1
- Update to 3.141592.
- po4a is needed now.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1415-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 17 2009 Thomas Moschny <thomas.moschny@gmx.de> - 3.1415-1
- Update to 3.1415.

* Thu Jun 11 2009 Thomas Moschny <thomas.moschny@gmx.de> - 3.14-1
- Update to 3.14.

* Fri May 15 2009 Thomas Moschny <thomas.moschny@gmx.de> - 3.12-1
- Update to 3.12.

* Tue May  5 2009 Thomas Moschny <thomas.moschny@gmx.de> - 3.11-1
- Update to 3.11.

* Sat Apr 25 2009 Thomas Moschny <thomas.moschny@gmx.de> - 3.10-1
- Update to 3.10.

* Tue Apr  7 2009 Thomas Moschny <thomas.moschny@gmx.de> - 3.09-1
- Update to 3.09.

* Fri Mar 27 2009 Thomas Moschny <thomas.moschny@gmx.de> - 3.08-1
- Update to 3.08.

* Mon Mar  9 2009 Thomas Moschny <thomas.moschny@gmx.de> - 3.07-1
- Update to 3.07.

* Thu Mar  5 2009 Thomas Moschny <thomas.moschny@gmx.de> - 3.06-1
- Update to 3.06.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.04-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 18 2009 Thomas Moschny <thomas.moschny@gmx.de> - 3.04-1
- Update to 3.04.

* Mon Feb  9 2009 Thomas Moschny <thomas.moschny@gmx.de> - 3.03-1
- Update to 3.03.

* Sat Jan 10 2009 Thomas Moschny <thomas.moschny@gmx.de> - 3.01-1
- Update to 3.01.

* Fri Jan  2 2009 Thomas Moschny <thomas.moschny@gmx.de> - 3.00-1
- Update to 3.00.

* Fri Jan  2 2009 Thomas Moschny <thomas.moschny@gmx.de> - 2.72-1
- Update to 2.72.
- Patch for mtn plugin has been applied upstream.
- Encoding of ikiwiki.vim has been changed to utf-8 upstream.
- Use new W3M_CGI_BIN option in %%install.

* Tue Dec 16 2008 Thomas Moschny <thomas.moschny@gmx.de> - 2.70-3
- Patch for monotone plugin: Prevent broken pipe message.
- Cosmetic changes to satisfy rpmlint.

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 2.70-2
- Rebuild for Python 2.6

* Thu Nov 20 2008 Thomas Moschny <thomas.moschny@gmx.de> - 2.70-1
- Update to 2.70.
- Install and enable the external rst plugin.
- Stop filtering perl(RPC::XML*) requires.

* Fri Oct 10 2008 Thomas Moschny <thomas.moschny@gmx.de> - 2.66-1
- Update to 2.66.

* Fri Sep 19 2008 Thomas Moschny <thomas.moschny@gmx.de> - 2.64-1
- Update to 2.64.

* Thu Sep 11 2008 Thomas Moschny <thomas.moschny@gmx.de> - 2.63-1
- Update to 2.63.

* Sat Aug 30 2008 Thomas Moschny <thomas.moschny@gmx.de> - 2.62.1-1
- Update to 2.62.1. Add /etc/ikiwiki.

* Thu Aug  7 2008 Thomas Moschny <thomas.moschny@gmx.de> - 2.56-1
- Update to 2.56.
- Stop filtering perl(Net::Amazon::S3), has been approved (bz436481).

* Thu Jul 31 2008 Thomas Moschny <thomas.moschny@gmx.de> - 2.55-1
- Update to 2.55.

* Thu Jul 24 2008 Thomas Moschny <thomas.moschny@gmx.de> - 2.54-1
- Update to 2.54.
- Move example plugin file to doc.

* Sat Jul 12 2008 Thomas Moschny <thomas.moschny@gmx.de> - 2.53-1
- Update to 2.53.

* Thu Jul 10 2008 Thomas Moschny <thomas.moschny@gmx.de> - 2.52-1
- Update to 2.52.

* Sun Jul  6 2008 Thomas Moschny <thomas.moschny@gmx.de> - 2.51-1
- Update to 2.51.
- Save iconv output to a temporary file.

* Sun Jun 15 2008 Thomas Moschny <thomas.moschny@gmx.de> - 2.50-1
- Update to 2.50.
- Move ikiwiki-w3m.cgi into a subpackage.
- Add ikiwiki's own documentation.
- Remove duplicate requirement perl(File::MimeInfo).
- Minor cleanups.

* Mon Jun  2 2008 Thomas Moschny <thomas.moschny@gmx.de> - 2.48-1
- Update to 2.48.

* Wed May 28 2008 Thomas Moschny <thomas.moschny@gmx.de> - 2.47-1
- Update to 2.47.

* Tue May 13 2008 Thomas Moschny <thomas.moschny@gmx.de> - 2.46-1
- Update to 2.46.

* Sat May 10 2008 Thomas Moschny <thomas.moschny@gmx.de> - 2.45-1
- New package.
